Loading...
Searching...
No Matches
Bond.h File Reference
`#include <RDGeneral/export.h>`
`#include <iostream>`
`#include <utility>`
`#include <RDGeneral/Invariant.h>`
`#include <Query/QueryObjects.h>`
`#include <RDGeneral/types.h>`
`#include <RDGeneral/RDProps.h>`
`#include <GraphMol/details.h>`

Go to the source code of this file.

## Classes

class | RDKit::Bond
| class for representing a bond More...

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_GRAPHMOL_EXPORT uint8_t | RDKit::getTwiceBondType (const RDKit::Bond &b)
RDKIT_GRAPHMOL_EXPORT std::ostream & | operator<< (std::ostream &target, const RDKit::Bond &b)
| allows Bond objects to be dumped to streams

## Function Documentation

## operator<<()

RDKIT_GRAPHMOL_EXPORT std::ostream & operator<< | ( | std::ostream & | target,
|  | const RDKit::Bond & | b
| ) |  |

extern

allows Bond objects to be dumped to streams